// Generated by CoffeeScript 1.6.3
var Compiler, ES6ModuleTranspiler;

Compiler = require('es6-module-transpiler').Compiler;

module.exports = ES6ModuleTranspiler = (function() {
  ES6ModuleTranspiler.prototype.brunchPlugin = true;

  ES6ModuleTranspiler.prototype.type = 'javascript';

  ES6ModuleTranspiler.prototype.extension = 'js';

  function ES6ModuleTranspiler(config) {
    if (config.es6ModuleTranspiler) {
      this.debug = config.es6ModuleTranspiler.debug || false;
      this.match = new RegExp(config.es6ModuleTranspiler.match);
    } else {
      this.match = new RegExp(/^app/);
    }
    if (this.debug) {
      console.log('---> es6-matching:', this.match);
    }
  }

  ES6ModuleTranspiler.prototype.compile = function(params, callback) {
    var compiler;
    if (this.match.test(params.path)) {
      if (this.debug) {
        console.log('---> es6-compiling:', params.path);
      }
      compiler = new Compiler(params.data, params.string);
      return callback(null, {
        data: compiler.toCJS()
      });
    } else {
      if (this.debug) {
        console.log('---> es6-ignoring:', params.path);
      }
      return callback(null, {
        data: params.data
      });
    }
  };

  return ES6ModuleTranspiler;

})();
